extern int       Profit=100;
extern int       Loss=100;
extern int       NCandles=3;
extern bool      CCI_on=true;
extern int       CCIper=10;
extern int       CCIlev=100;
extern double       Lots=0.1;
extern int Trailing=0;
extern bool  Autolot=false;
extern double   LotDivider=10000;
int Magic=3124;

int tp,sl,br,t;
double maxlot;
bool isOrder;

int init()
  {
   maxlot=MarketInfo(Symbol(),MODE_MAXLOT);   
   t=0;
   if (Loss==0) sl=0; else sl=1;
   if (Profit==0) tp=0; else tp=1;
   return(0);
  }
int deinit()
  {
   return(0);
  }

int start()
  {
    
     int i;      
     if (t!=Time[0]) {
       t=Time[0];
       isOrder=IsTradeAllowed();
       int bo=0,so=0;
       for(i=0; i<=OrdersTotal();i++) 
        if (OrderSelect(i,SELECT_BY_POS,MODE_TRADES)) {
         if (OrderMagicNumber()==Magic && OrderSymbol()==Symbol() && OrderType()==OP_BUY ) bo++;
         if (OrderMagicNumber()==Magic && OrderSymbol()==Symbol() && OrderType()==OP_SELL ) so++;     
       }
       if (bo!=0 && so!=0) isOrder=false; 
       bool buy=true, sell=true;
      
       if (CCI_on) {
        double CCI=iCCI(NULL,0,CCIper,PRICE_CLOSE,1);
        if (CCI>-CCIlev) sell=false;
        if (CCI<CCIlev) buy=false;
       }
       for (i=1; i<=NCandles; i++) {
         if (Close[i]-Open[i]<=0) buy=false;
         if (Close[i]-Open[i]>=0) sell=false;
       }               
       if (isOrder && sell) OrderSend(Symbol(),OP_SELL,GetLots(),Bid,3,(Ask+(Loss)*Point)*sl,(Bid-(Profit)*Point)*tp,"",Magic,0,CLR_NONE);
       if (isOrder && buy) OrderSend(Symbol(),OP_BUY,GetLots(),Ask,3,(Bid-(Loss)*Point)*sl,(Ask+(Profit)*Point)*tp,"",Magic,0,CLR_NONE);
     }     
     if (Trailing>0) for(i=0; i<=OrdersTotal();i++) {
     OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
     if (OrderMagicNumber()==Magic && OrderSymbol()==Symbol()) {
       if (OrderType()==OP_BUY && Bid-OrderOpenPrice()>Trailing*Point && Bid-OrderStopLoss()>Trailing*Point ) OrderModify(OrderTicket(),OrderOpenPrice(),Bid-Trailing*Point,OrderTakeProfit(),0,CLR_NONE);
       if (OrderType()==OP_SELL && OrderOpenPrice()-Ask>Trailing*Point && OrderStopLoss()-Ask>Trailing*Point ) OrderModify(OrderTicket(),OrderOpenPrice(),Ask+Trailing*Point,OrderTakeProfit(),0,CLR_NONE);
       }
     }      
   return(0);
  }
double GetLots()
{
double res;
if (Autolot) {
  res=NormalizeDouble(AccountFreeMargin()/LotDivider,1);
  if (res<Lots) res=Lots;
  if (res>maxlot) res=maxlot;
  return(res);
} else return(Lots);
}